package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * (SysManual)表实体类
 *
 * @author makejava
 * @since 2021-12-20 13:46:08
 */
@ApiModel(value = "sys_manual-${tableInfo.comment}")
public class SysManual implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "${column.comment}")
    private Integer id;

    @TableField("menu_id_")
    @ApiModelProperty(value = "菜单Id")
    private Integer menuId;

    @TableField("name_")
    @ApiModelProperty(value = "手册名称")
    private String name;
    @TableField("op_flow_")
    @ApiModelProperty(value = "操作流程")
    private String opFlow;

    @TableField("fun_rule_")
    @ApiModelProperty(value = "功能规则")
    private String funRule;

    @TableField("video_url_")
    @ApiModelProperty(value = "操作视频")
    private String videoUrl;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @TableField("operator_id_")
    @ApiModelProperty(value = "操作人")
    private Long operatorId;

    @TableField(exist = false)
    @ApiModelProperty(value = "操作人名称")
    private String operatorName;

    @TableField(exist = false)
    @ApiModelProperty(value = "菜单名")
    private String menuName;

    // -------------------------------------------------------------------------

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOpFlow() {
        return opFlow;
    }

    public void setOpFlow(String opFlow) {
        this.opFlow = opFlow;
    }

    public String getFunRule() {
        return funRule;
    }

    public void setFunRule(String funRule) {
        this.funRule = funRule;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }


}

